Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_RTCP Class Reference

Encapsulate the header format for the Real Time Control Protocol (RTCP). More...

`#include <RTCP.h>`

List of all members.

## Static Public Methods
int | handle_input (ACE_Message_Block *data, const ACE_Addr &peer_address, rtcphdr &header, TAO_AV_SourceManager *source_manager, TAO_AV_RTP_State *state)
int | build_bye (rtcphdr* rh, TAO_AV_Source& local)
int | build_sdes (rtcphdr* rh, TAO_AV_Source& s, TAO_AV_RTP_State *state)
u_char* | build_sdes_item (u_char* p, int code, TAO_AV_Source&)
void | parse_sr (rtcphdr* rh, int flags, u_char* ep, TAO_AV_Source* ps, ACE_UINT32 addr, TAO_AV_SourceManager *source_manager)
void | parse_rr (rtcphdr* rh, int flags, u_char* ep, TAO_AV_Source* ps, ACE_UINT32 addr, TAO_AV_SourceManager *source_manager)
void | parse_rr_records (ACE_UINT32 ssrc, rtcp_rr* r, int cnt, const u_char* ep, ACE_UINT32 addr)
int | sdesbody (ACE_UINT32* p, u_char* ep, TAO_AV_Source* ps, ACE_UINT32 addr, ACE_UINT32 ssrc, TAO_AV_SourceManager *source_manager)
void | parse_sdes (rtcphdr* rh, int flags, u_char* ep, TAO_AV_Source* ps, ACE_UINT32 addr, ACE_UINT32 ssrc, TAO_AV_SourceManager *source_manager)
void | parse_bye (rtcphdr* rh, int flags, u_char* ep, TAO_AV_Source* ps, TAO_AV_SourceManager *source_manager)
void | send_report (int bye, TAO_AV_Protocol_Object *object, TAO_AV_SourceManager *source_manager, TAO_AV_RTP_State *state, TAO_AV_RTCP_Callback *callback)
ACE_UINT32 | alloc_srcid (ACE_UINT32 addr)
double | fmod (double dividend, double divisor)

## Detailed Description

Encapsulate the header format for the Real Time Control Protocol (RTCP).

## Member Function Documentation

ACE_UINT32 TAO_AV_RTCP::alloc_srcid ( | ACE_UINT32 addr )`[static]`

int TAO_AV_RTCP::build_bye ( | rtcphdr * rh,
| TAO_AV_Source & ls )`[static]`

int TAO_AV_RTCP::build_sdes ( | rtcphdr * rh,
| TAO_AV_Source & ls,
| TAO_AV_RTP_State * state )`[static]`

u_char * TAO_AV_RTCP::build_sdes_item ( | u_char * p,
| int code,
| TAO_AV_Source & s )`[static]`

double TAO_AV_RTCP::fmod ( | double dividend,
| double divisor )`[static]`

int TAO_AV_RTCP::handle_input ( | ACE_Message_Block * data,
| const ACE_Addr & peer_address,
| rtcphdr & header,
| TAO_AV_SourceManager * source_manager,
| TAO_AV_RTP_State * state )`[static]`

void TAO_AV_RTCP::parse_bye ( | rtcphdr * rh,
| int flags,
| u_char * ep,
| TAO_AV_Source * ps,
| TAO_AV_SourceManager * source_manager )`[static]`

void TAO_AV_RTCP::parse_rr ( | rtcphdr * rh,
| int flags,
| u_char * ep,
| TAO_AV_Source * ps,
| ACE_UINT32 addr,
| TAO_AV_SourceManager * source_manager )`[static]`

void TAO_AV_RTCP::parse_rr_records ( | ACE_UINT32 ssrc,
| rtcp_rr * r,
| int cnt,
| const u_char * ep,
| ACE_UINT32 addr )`[static]`

void TAO_AV_RTCP::parse_sdes ( | rtcphdr * rh,
| int flags,
| u_char * ep,
| TAO_AV_Source * ps,
| ACE_UINT32 addr,
| ACE_UINT32 ssrc,
| TAO_AV_SourceManager * source_manager )`[static]`

void TAO_AV_RTCP::parse_sr ( | rtcphdr * rh,
| int flags,
| u_char * ep,
| TAO_AV_Source * ps,
| ACE_UINT32 addr,
| TAO_AV_SourceManager * source_manager )`[static]`

int TAO_AV_RTCP::sdesbody ( | ACE_UINT32 * p,
| u_char * ep,
| TAO_AV_Source * ps,
| ACE_UINT32 addr,
| ACE_UINT32 ssrc,
| TAO_AV_SourceManager * source_manager )`[static]`

void TAO_AV_RTCP::send_report ( | int bye,
| TAO_AV_Protocol_Object * protocol_object,
| TAO_AV_SourceManager * source_manager,
| TAO_AV_RTP_State * state,
| TAO_AV_RTCP_Callback * callback )`[static]`

The documentation for this class was generated from the following files:

- RTCP.h
- RTCP.cpp